<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Tambah User</title>
    <object th:include="fragments/fragment :: css" th:remove="tag"></object>
    <object th:include="fragments/fragment :: js" th:remove="tag"></object>
</head>
<body>
    <div class="container">
        <div class="card m-4 p-4">
            <div class="card-body">
                <div class="justify-content-center">
                    <h2>Tambah User Baru</h2>
                    <br>
                    <form th:action="@{/user/add}" th:object="${user}" method="POST">
                    
                        <label>Username</label>
                        <input type="text" class="form-control" name="username">

                        <label>Nama</label>
                        <input type="text" class="form-control" name="nama">
                        
                        <label>E-mail</label>
                        <input type="text" class="form-control" name="email">
                        
                        <label>Password</label>
                        <input type="text" class="form-control" name="password">

                        <label>Role</label>
                        <select name="role" class="form-control">
                            <option selected value="">--Pilih Role--</option>
                            <option th:each="role : ${listRole}"
                                    th:value="${role.id}"
                                    th:text="${role.role}">
                            </option>
                        </select>
                        <br>
                        <button type="submit" class="btn btn-primary">Submit</button>
                        <a class="btn btn-link" href="/">Home</a>
                </form>
            </div>
        </div>
    </div>
</body>
</html>